//
//  OpenedFile.h
//  HexFiend
//
//  Created by ridiculous_fish on Thu Jan 13 2005.
//  //  Copyright 2004-2006 ridiculous_fish. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface OpenedFile : NSObject {
    int myFD; //closed on dealloc
    unsigned long long myLength;
}

- initWithFD:(int)fd length:(unsigned long long)length;

- (unsigned long long)length;
- (void)readBytes:(unsigned char*)buff length:(unsigned)length from:(unsigned long long)pos;

- (int)fd;

@end

@interface OpenedFile (TemporaryFile)

+ temporaryFileWithLength:(unsigned long long)length;

@end
