//
//  NaiveByteEnumerator.h
//  HexFiend
//
//  Created by us on 2/28/05.
//  Copyright 2004-2006 ridiculous_fish. All rights reserved.
//

#import "ByteEnumerator.h"
#import "ByteArray.h"

@class ByteSlice;

#define NBE_BUFF_SIZE 2048

@interface NaiveByteEnumerator : ByteEnumerator {
	unsigned long long myIndex;
	unsigned long long myTotalLength;
	NSArray* myByteSlices;
	unsigned myNumberOfByteSlices;
	enum eDirection myDirection;
	
	unsigned long long* myPrecalculatedOffsets;
	
	BOOL myIsDirty;
	
	//everything below is considered the "dirtyable region" and must be updated when myIsDirty is true
	unsigned long long myWhichBuffer;
	unsigned char myBuffer[NBE_BUFF_SIZE];
	ByteSlice* myCurrentByteSlice; //not retained
	unsigned myCurrentByteSliceIndex;
	unsigned long long myCurrentByteSliceOffset;
	unsigned long long myCurrentByteSliceLength;
}

- initWithSlices:(NSArray*)slices direction:(enum eDirection)dir;

@end
